/* pcl725.h - Device driver for the Advantech PCL-725 and ADClone ACL-725
              relay actuator and isolated D/I cards */
 
/* Written 1996 by Werner Almesberger, EPFL LRC */
 
 
#ifndef _LINUX_PCL725_H
#define _LINUX_PCL725_H

#include <linux/ioctl.h> /* for _IO */


#define PCL725_BASE	0x200	/* base of address range */
#define PCL725_DFL_ADDR	0x2a8	/* default address */
#define PCL725_PORTS	2	/* uses only two ports */
#define PCL725_ADDRS	256	/* all possible addresses */
#define PCL725_MAX_DEVS	8	/* maximum number of installed boards */

/* ioctls - for write operations, arg is always the bit mask to change */

#define PCL725_INP_GET	_IO('?',0)	/* read digital input lines */
#define PCL725_REL_GET	_IO('?',1)	/* read relay status */
#define PCL725_REL_SET	_IO('?',2)	/* set all relays at once */
#define PCL725_REL_ON	_IO('?',3)	/* switch on indicated relays */
#define PCL725_REL_OFF	_IO('?',4)	/* switch off indicated relays */
#define PCL725_REL_TOGGLE _IO('?',5)	/* toggle indicated relays */

#endif
